Prophet::Collection(3pm)

NAME
Prophet::Collection

DESCRIPTION
This class allows the programmer to search for Prophet::Record objects matching certain criteria and to operate on those records as a collection.

METHODS

  new { handle => Prophet::Replica, type => $TYPE }
Instantiate a new, empty Prophet::Collection object to find items of type $TYPE.

  matching $CODEREF
Find all Prophet::Records of this collection's "type" where $CODEREF returns true.

  items
Returns a reference to an array of all the items found

  add_item

  count